Package org.sunflow.core

# Interface SceneParser

All Known Implementing Classes:
  `RA2Parser`, `RA3Parser`, `SCAbstractParser`, `SCAsciiParser`, `SCBinaryParser`, `SCParser`, `ShaveRibParser`, `TriParser`

public interface SceneParser
Simple interface to allow for scene creation from arbitrary file formats.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`parse(String filename, SunflowAPIInterface api)`
Parse the specified file to create a scene description into the provided `SunflowAPI` object.

## Method Details

### parse

boolean parse(String filename, SunflowAPIInterface api)
Parse the specified file to create a scene description into the provided `SunflowAPI` object.

Parameters:
  `filename` - filename to parse
  `api` - scene to parse the file into
Returns:
  `true` upon sucess, or `false` if errors have occured.